Subject: Re: what if i use makeheader tool to generate c header file, it would be accepted.

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Sep 2022 09:28:01 -0700

Skrab Sah <[email-masked]> writes:

> Let me elaborate to you, how and why I wanted to implement the

No, I won't let you ;-), and that was the most important part you
seem to have missed in the message you are responding to: we do not
work with the handwaving.

>     2. no need to declare anything in the header file, which is
> time consuming and a headache for developers.

This alone is enough to convince me that this should not be done.

Unless the tool can infer the intent while generating the headers
and place comments describing why it exists and what it and its
parameters mean next to the function definition it produces, that
is, in which case I may be OK.  As developers become more and more
experienced, they will invest more and more time in getting the
interface right.  We shouldn't target developers who find the time
to do so a waste and headache.

Thanks.